ごとけんです

In message "[ruby-list:13716] Re: IPv6-ready ruby (Forward: [ruby-talk:00274])"
    on 99/04/14, Yukihiro Matsumoto <matz / netlab.co.jp> writes:

>IPv4 onlyの環境でもコンパイルできるようになったら,1.3系に取
>り込みたいのですが.

コンパイルはできましたよ。ただ、socket が動かないみたいですが。
.configure --disable-ipv6 で作ったらこんなん出ました:

% ruby -r socket -ve 'p TCPsocket.open("www", "daytime").read'
ruby 1.2.5(99/04/13) [i386-freebsd2.2.6]
/tmp/rbI25556:1:in `open': Protocol not supported - socket(2) (Errno::EPROTONOSUPPORT)
        from /tmp/rbI25556:1
%


# というのは ruby-talk に出すべきなのかな??

-- gotoken